!+ Subroutine to set the scattering flag in this a band.
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      SUBROUTINE SET_SCATTERING(I_SCATTER_METHOD
     &   , L_SWITCH_SCATTER
     &   , I_SCATTER_METHOD_BAND
     &   )
!
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/scatter_method.pcf'
!
!
!     DUMMY ARGUMENTS.
      INTEGER   !, INTENT(IN)
     &     I_SCATTER_METHOD
!             METHOD OF TREATING SCATTERING
      LOGICAL	!, INTENT(IN)
     &     L_SWITCH_SCATTER
!             SCATTERING SWITCH FOR THE BAND
      INTEGER   !, INTENT(OUT)
     &     I_SCATTER_METHOD_BAND
!             SCATTERING FLAG IN THIS BAND
!
!
!
      IF (I_SCATTER_METHOD.EQ.IP_SCATTER_FULL) THEN
!
!        PERFORM A FULL SCATTERING CALCULATION IN THIS BAND
         I_SCATTER_METHOD_BAND=IP_SCATTER_FULL
!
      ELSE IF (I_SCATTER_METHOD.EQ.IP_NO_SCATTER_ABS) THEN
!
!        SCATTERING EXTINCTION IS TO BE NEGLECTED IF SPECIFIED IN THIS
!        BAND. OTHERWISE A FULL SCATTERING CALCULATION IS REQUIRED.
         IF (L_SWITCH_SCATTER) THEN
            I_SCATTER_METHOD_BAND=IP_NO_SCATTER_ABS
         ELSE
            I_SCATTER_METHOD_BAND=IP_SCATTER_FULL
         ENDIF
!
      ELSE IF (I_SCATTER_METHOD.EQ.IP_NO_SCATTER_EXT) THEN
!
!        SCATTERING EXTINCTION IS TO BE TREATED AS ABSORPTION IF 
!        SPECIFIED IN THIS BAND. OTHERWISE A FULL SCATTERING 
!        CALCULATION IS REQUIRED.
         IF (L_SWITCH_SCATTER) THEN
            I_SCATTER_METHOD_BAND=IP_NO_SCATTER_ABS
         ELSE
            I_SCATTER_METHOD_BAND=IP_SCATTER_FULL
         ENDIF
!
      ENDIF
!
!
!
      RETURN
      END
